> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取评论列表

> 接口说明：获取指定作品的评论列表



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/engagement/comments
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/v2/channels/engagement/comments:
    get:
      tags:
        - 渠道管理/互动
      summary: 获取评论列表
      description: 接口说明：获取指定作品的评论列表
      operationId: EngagementController_listComments_v2
      parameters:
        - name: accountId
          in: query
          description: 动作执行账号 ID
          required: true
          example: ''
          schema:
            type: string
            minLength: 1
            description: 动作执行账号 ID
        - name: platform
          in: query
          description: 平台
          required: true
          example: ''
          schema:
            type: string
            enum:
              - douyin
              - xhs
              - wxSph
              - KWAI
              - youtube
              - wxGzh
              - bilibili
              - twitter
              - tiktok
              - facebook
              - instagram
              - threads
              - pinterest
              - linkedin
              - google_business
            description: 平台
        - name: platformWorkId
          in: query
          description: 平台作品 ID
          required: true
          example: ''
          schema:
            description: 平台作品 ID
            type: string
            minLength: 1
        - name: pagination
          in: query
          description: 分页参数
          required: false
          example: ''
          schema:
            anyOf:
              - type: object
                properties:
                  page:
                    type: integer
                    exclusiveMinimum: true
                    maximum: 9007199254740991
                    description: 页码
                    minimum: 0
                  pageSize:
                    type: integer
                    exclusiveMinimum: true
                    maximum: 9007199254740991
                    description: 每页数量
                    minimum: 0
                required:
                  - page
                  - pageSize
              - anyOf:
                  - type: object
                    properties:
                      cursor:
                        type: string
                        description: 分页游标
                      limit:
                        description: 每页数量，不传时使用平台默认值
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        minimum: 0
                      direction:
                        description: 分页方向，不传时默认下一页
                        type: string
                        enum:
                          - next
                          - previous
                    required:
                      - cursor
                  - type: object
                    properties:
                      limit:
                        description: 每页数量，不传时使用平台默认值
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        minimum: 0
                      direction:
                        description: 分页方向，不传时默认下一页
                        type: string
                        enum:
                          - next
                    required:
                      - limit
                  - type: object
                    properties:
                      direction:
                        description: 分页方向，不传时默认下一页
                        type: string
                        enum:
                          - next
                    required:
                      - direction
            description: 分页参数
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelCommentListVo'
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      platform: douyin
                      items:
                        platformCommentId: string
                        content: string
                        platformWorkId: string
                        parentCommentId: string
                        authorName: string
                        authorPlatformUid: string
                        createdAt: '2026-07-02T12:00:00.000Z'
                        likeCount: 1
                        replyCount: 1
                      pagination:
                        mode: string
                        hasNext: true
                        hasPrevious: true
                        limit: 1
                        nextCursor: string
                        previousCursor: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: 参数验证失败
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: 未认证或 API Key 无效
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                accountNotFound12600:
                  summary: AccountNotFound (12600)
                  value:
                    code: 12600
                    message: 账号未找到
                    data: {}
                    timestamp: 1772099056662
                channelAuthPlatformMismatch15040:
                  summary: ChannelAuthPlatformMismatch (15040)
                  value:
                    code: 15040
                    message: 授权平台不匹配
                    data: {}
                    timestamp: 1772099056662
                channelPlatformOperationNotSupported15080:
                  summary: ChannelPlatformOperationNotSupported (15080)
                  value:
                    code: 15080
                    message: '{{platform}} 不支持该操作'
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelCommentListVo:
      type: object
      properties:
        platform:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: 平台
        items:
          type: array
          items:
            type: object
            properties:
              platformCommentId:
                type: string
                description: 平台评论 ID
              platformWorkId:
                description: 平台作品 ID
                type: string
              parentCommentId:
                description: 父评论 ID
                type: string
              authorName:
                description: 评论作者名称
                type: string
              authorPlatformUid:
                description: 评论作者平台 UID
                type: string
              content:
                type: string
                description: 评论内容
              createdAt:
                description: 评论时间
                type: string
                format: date-time
              likeCount:
                description: 点赞数
                type: integer
                minimum: 0
                maximum: 9007199254740991
              replyCount:
                description: 回复数
                type: integer
                minimum: 0
                maximum: 9007199254740991
            required:
              - platformCommentId
              - content
          description: 评论列表
        pagination:
          oneOf:
            - type: object
              properties:
                mode:
                  type: string
                  description: 分页模式
                  enum:
                    - cursor
                nextCursor:
                  description: 下一页游标
                  type: string
                previousCursor:
                  description: 上一页游标
                  type: string
                hasNext:
                  type: boolean
                  description: 是否有下一页
                hasPrevious:
                  type: boolean
                  description: 是否有上一页
                limit:
                  type: integer
                  exclusiveMinimum: true
                  maximum: 9007199254740991
                  description: 每页数量
                  minimum: 0
              required:
                - mode
                - hasNext
                - hasPrevious
                - limit
            - type: object
              properties:
                mode:
                  type: string
                  description: 分页模式
                  enum:
                    - page
                page:
                  type: integer
                  exclusiveMinimum: true
                  maximum: 9007199254740991
                  description: 页码
                  minimum: 0
                pageSize:
                  type: integer
                  exclusiveMinimum: true
                  maximum: 9007199254740991
                  description: 每页数量
                  minimum: 0
                total:
                  description: 总数
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                hasNext:
                  type: boolean
                  description: 是否有下一页
                hasPrevious:
                  type: boolean
                  description: 是否有上一页
              required:
                - mode
                - page
                - pageSize
                - hasNext
                - hasPrevious
            - type: object
              properties:
                mode:
                  type: string
                  description: 分页模式
                  enum:
                    - none
              required:
                - mode
          description: 分页结果
      required:
        - platform
        - items
        - pagination
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: AiToEarn Open Platform API Key。

````